Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.swt.core
Class EMFFormsRendererFactory_Test

    java.lang.Object
      org.eclipse.emfforms.internal.swt.core.EMFFormsRendererFactory_Test

    public class EMFFormsRendererFactory_Test

extends Object

Test for the `EMFFormsRendererFactoryImpl`.

Author:
  Eugen Neufeld

Constructor Summary
`EMFFormsRendererFactory_Test()`

Method Summary
`void` | `setUp()` Setup the EMFFormsRendererFactoryImpl.
`void` | `testAddAdditionalRendererService()` Test method for `EMFFormsRendererFactory#getAdditionalRendererInstances(VElement, ViewModelContext)`.
`void` | `testAddRendererService()` Test method for `EMFFormsRendererFactory#getRendererInstance(VElement, ViewModelContext)`.
`void` | `testGetAdditionalRendererInstanceNoFittingServices()` Test method for `EMFFormsRendererFactory#getAdditionalRendererInstances(VElement, ViewModelContext)`.
`void` | `testGetRendererInstanceDifferentPrioSameVElement()` Test method for `EMFFormsRendererFactory#getRendererInstance(VElement, ViewModelContext)`.
`void` | `testGetRendererInstanceNoFittingServices()` Test method for `EMFFormsRendererFactory#getRendererInstance(VElement, ViewModelContext)`.
`void` | `testGetRendererInstanceNoRendererServices()` Test method for `EMFFormsRendererFactory#getRendererInstance(VElement, ViewModelContext)`.
`void` | `testGetRendererInstanceSamePrioDifferentVElement()` Test method for `EMFFormsRendererFactory#getRendererInstance(VElement, ViewModelContext)`.
`void` | `testRemoveAdditionalRendererService()` Test method for `EMFFormsRendererFactory#getAdditionalRendererInstances(VElement, ViewModelContext)`.
`void` | `testRemoveRendererService()` Test method for `EMFFormsRendererFactory#getRendererInstance(VElement, ViewModelContext)`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsRendererFactory_Test

    public EMFFormsRendererFactory_Test()

Method Detail

### setUp

    public void setUp()

  Setup the EMFFormsRendererFactoryImpl.

### testGetRendererInstanceNoRendererServices

    public void testGetRendererInstanceNoRendererServices()
                                                   throws EMFFormsNoRendererException

  Test method for `EMFFormsRendererFactory#getRendererInstance(VElement, ViewModelContext)`. When no EMFFormsRendererService is registered then an IllegalStateException should be thrown.

  Throws:
    `EMFFormsNoRendererException`

### testGetRendererInstanceNoFittingServices

    public void testGetRendererInstanceNoFittingServices()
                                                  throws EMFFormsNoRendererException

  Test method for `EMFFormsRendererFactory#getRendererInstance(VElement, ViewModelContext)`. When no fitting EMFFormsRendererService is available then an IllegalStateException should be thrown.

  Throws:
    `EMFFormsNoRendererException`

### testAddRendererService

    public void testAddRendererService()
                                throws EMFFormsNoRendererException

  Test method for `EMFFormsRendererFactory#getRendererInstance(VElement, ViewModelContext)`. When one EMFFormsRendererService is registered then `EMFFormsRendererService.isApplicable(VElement,ViewModelContext)` is called exactly once.

  Throws:
    `EMFFormsNoRendererException`

### testRemoveRendererService

    public void testRemoveRendererService()
                                   throws EMFFormsNoRendererException

  Test method for `EMFFormsRendererFactory#getRendererInstance(VElement, ViewModelContext)`. When the only EMFFormsRendererService is removed then an IllegalStateException is thrown.

  Throws:
    `EMFFormsNoRendererException`

### testGetRendererInstanceSamePrioDifferentVElement

    public void testGetRendererInstanceSamePrioDifferentVElement()
                                                          throws EMFFormsNoRendererException

  Test method for `EMFFormsRendererFactory#getRendererInstance(VElement, ViewModelContext)`. Check that the EMFFormsRendererService with the fitting VElement is used to get an AbstractSWTRenderer.

  Throws:
    `EMFFormsNoRendererException`

### testGetRendererInstanceDifferentPrioSameVElement

    public void testGetRendererInstanceDifferentPrioSameVElement()
                                                          throws EMFFormsNoRendererException

  Test method for `EMFFormsRendererFactory#getRendererInstance(VElement, ViewModelContext)`. Check that the EMFFormsRendererService with the higher priority is used to get an AbstractSWTRenderer.

  Throws:
    `EMFFormsNoRendererException`

### testAddAdditionalRendererService

    public void testAddAdditionalRendererService()

  Test method for `EMFFormsRendererFactory#getAdditionalRendererInstances(VElement, ViewModelContext)`. When one EMFFormsRendererService is registered then `EMFFormsAdditionalRendererService.isApplicable(VElement, ViewModelContext)` is called exactly once.

### testRemoveAdditionalRendererService

    public void testRemoveAdditionalRendererService()

  Test method for `EMFFormsRendererFactory#getAdditionalRendererInstances(VElement, ViewModelContext)`.

### testGetAdditionalRendererInstanceNoFittingServices

    public void testGetAdditionalRendererInstanceNoFittingServices()

  Test method for `EMFFormsRendererFactory#getAdditionalRendererInstances(VElement, ViewModelContext)`. When no fitting EMFFormsRendererService is available then the collection is empty.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.